<!--
index.html

This is the main landing page for the DHA SDK

Created by Joshua Clark on 4/10/19.

DHA SDK
Version 1.3.1

Copyright © 2009-2019 United States Government as represented by
the Program Manager of the DHA: Web and Mobile Technology Program Management Office.
All Rights Reserved.

Copyright © 2009-2019 Contributors. All Rights Reserved.

THIS OPEN SOURCE AGREEMENT ("AGREEMENT") DEFINES THE RIGHTS OF USE,
REPRODUCTION, DISTRIBUTION, MODIFICATION AND REDISTRIBUTION OF CERTAIN
COMPUTER SOFTWARE ORIGINALLY RELEASED BY THE UNITED STATES GOVERNMENT
AS REPRESENTED BY THE GOVERNMENT AGENCY LISTED BELOW ("GOVERNMENT AGENCY").
THE UNITED STATES GOVERNMENT, AS REPRESENTED BY GOVERNMENT AGENCY, IS AN
INTENDED THIRD-PARTY BENEFICIARY OF ALL SUBSEQUENT DISTRIBUTIONS OR
REDISTRIBUTIONS OF THE SUBJECT SOFTWARE. ANYONE WHO USES, REPRODUCES,
DISTRIBUTES, MODIFIES OR REDISTRIBUTES THE SUBJECT SOFTWARE, AS DEFINED
HEREIN, OR ANY PART THEREOF, IS, BY THAT ACTION, ACCEPTING IN FULL THE
RESPONSIBILITIES AND OBLIGATIONS CONTAINED IN THIS AGREEMENT.

Government Agency: DHA: Web and Mobile Technology Program Management Office
Government Agency Original Software Designation:
Government Agency Original Software Title:
User Registration Requested. Please send email
with your contact information to: robert.a.kayl.civ@mail.mil
Government Agency Point of Contact for Original Software - Program Manager: robert.a.kayl.civ@mail.mil
-->

<!DOCTYPE html>
<html lang="en">

<head>
    <script async src="js/google-analytics.min.js"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="icon" type="image/png" sizes="32x32" href="./img/favicon_package_v0.16/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="./img/favicon_package_v0.16/favicon-16x16.png">

    <title id="title">DHA SDK</title>

    <!-- Bootstrap core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <!-- Plugin CSS -->
    <link href="vendor/magnific-popup/magnific-popup.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/creative.min.css" rel="stylesheet">

</head>

<body id="page-top">
    <div id="bodyWrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-expand-xl navbar-light fixed-top" id="mainNav">
            <a class="homeLink navbar-brand js-scroll-trigger float-left" href="#page-top"><img class="float-left"
                src="img/Official_DHA_Logo.png" alt="Official Defense Health Agency Logo">
                <h5 class="float-left">SDK</h5></a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <nav class="collapse navbar-collapse" id="navbarResponsive">
                <ul id="navBar" class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a id="aboutNavLink" class="nav-link js-scroll-trigger" href="#about">About</a>
                    </li>
                    <li class="nav-item">
                        <a id="packagesNavLink" class="nav-link js-scroll-trigger" href="#packages">Packages</a>
                    </li>
                    <li class="nav-item">
                        <a id="applicationsNavLink" class="nav-link js-scroll-trigger" href="#applications">Sample Applications</a>
                    </li>
                    <li class="nav-item">
                        <a id="resourcesNavLink" class="nav-link js-scroll-trigger" href="#resources">Resources</a>
                    </li>
                    <li class="nav-item">
                        <a id="wmtApplicationsNavLink" class="nav-link js-scroll-trigger" href="wmt-applications.html">WMT Applications</a>
                    </li>
                    <li class="nav-item">
                        <a id="tutorialNavLink" class="nav-link js-scroll-trigger" target="_blank">Get Started: Tutorial</a>
                    </li>
                    <li class="nav-item">
                        <a id="contactUs" class="nav-link js-scroll-trigger"
                            href="mailto:dhasdk@t2health.org?&Subject=DHA%20SDK%20Inquiry">Contact Us</a>
                    </li>
                </ul>
            </nav>
        </nav>

        <header class="masthead pt-3 text-center text-white" style="height:70vh">
            <div class="container mx-auto pb-5">
                <div class="row pt-5 pb-2">
                    <div class="col-lg-12 col-md-12 col-sm-12 mt-5 pb-5 pr-5 d-none d-sm-block text-center">
                        <a
                            target="_blank"
                            href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency/Health-IT/Solution-Delivery-Division">
                            <img src="img/sddlogo.png" alt="Solution Delivery Division Logo">
                        </a>
                    </div>
                    <div class="col-12 pb-3 mt-5 d-block d-sm-none ">
                        <a
                            target="_blank"
                            href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency/Health-IT/Solution-Delivery-Division">
                            <img src="img/sddlogoxs.png" alt="Solution Delivery Division Logo">
                        </a>
                    </div>
                </div>
                <div class="col-lg-12 mx-auto">
                    <h1 id="dhaTitle" class="text-uppercase">
                        <strong>Defense Health Agency</strong>
                        <br>
                        <strong>Software Development Kit</strong>
                    </h1>
                </div>
                <div class="col-lg-8 mx-auto">
                    <p id="dhaDescription" class="text-light mb-5">Start creating mobile web applications quickly</p>
                </div>
            </div>
        </header>
        <div>
            <div style="border-top: 5px solid #314057; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #771213; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #3c4c69; float: left" class="col-lg-4 col-md-4 col-4"></div>
        </div>
        <section id="about">
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="section-heading text-center text-primary">What is the DHA SDK?</h2>
                    <div class="row">
                        <div class="col-lg-12 lead pt-2 pb-1 pl-5 pr-5">
                            <p>The Defense Health Agency Software Development Kit (DHA SDK) consists of a set of API
                                modules
                                in
                                the form of NPM modules as well as support documentation and demo apps. The SDK modules
                                are
                                intended to be used to create applications that conform to the DHA Standards for mobile
                                apps.
                                Each module is documented as a simple API. Each module is configurable via its API.
                                The primary target app type is a Progressive Web App (PWA). By wrapping the PWA in a
                                framework
                                such as Cordova these apps can be turned into native Android or IOS apps.
                                Included in the SDK are two simple examples of PWA Apps to help guide developers in use
                                of
                                the
                                modules.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-lg-3 col-md-6">
                            <div class="service-box mx-auto">
                                <div class="benefit-title text-center">
                                    <i class="fas fa-4x fa-code text-center text-primary fa-gem mb-3 sr-icon-1g"></i>
                                </div>
                                <div class="pl-5 pb-5 pr-5">
                                    <h3 class="text-primary">Enforce Standards</h3>
                                    <p class="text-muted mb-0">All DHA mobile applications will act similarly.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class="service-box mx-auto">
                                <div class="benefit-title text-center">
                                    <i class="fas fa-4x fa-paper-plane text-primary mb-3 sr-icon-2"></i>
                                </div>
                                <div class="pl-5 pb-5 pr-5">
                                    <h3 class="text-primary">Save Time</h3>
                                    <p class="text-muted mb-0">Reduce developer time and effort to create a fully
                                        functioning application.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class="service-box mx-auto">
                                <div class="benefit-title text-center">
                                    <i class="fas fa-4x fa-code text-primary mb-3 sr-icon-3"></i>
                                </div>
                                <div class="pl-5 pb-5 pr-5">
                                    <h3 class="text-primary">Less Complex</h3>
                                    <p class="text-muted mb-0">Reduce the complexity of applications. By encapsulating
                                        the
                                        details of the functionality of the modules, the final app is much cleaner and
                                        easier to understand.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <div class="service-box mx-auto">
                                <div class="benefit-title text-center">
                                    <i class="fas fa-4x fa-mobile text-primary mb-3 sr-icon-4"></i>
                                </div>
                                <div class="pl-5 pb-5 pr-5">
                                    <h3 class="text-primary">Responsive Design</h3>
                                    <p class="text-muted mb-0">All of our components and apps are made to be responsive
                                        for
                                        use on phones, monitors, and everything in between.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="container">
                    <div class="col-lg-12 pl-5 pr-5">
                        <h2 class="section-heading text-primary">What you should know...</h2>
                        <p class="lead">Here is a list of things you may not know a ton about, but should be at least
                            familiar
                            with if you want to have a good experience building with the SDK.</p>
                    </div>
                </div>
            </div>
            <div class="row ml-5 mr-5">
                <div class="col-lg-3">
                    <!--empty-->
                </div>
                <div class="col-lg-3 col-md-6 mt-2 mx-auto">
                    <h5 class="card-title mb-2 text-primary">Technologies</h5>
                    <ul>
                        <li>JavaScript and TypeScript</li>
                        <li>React and Redux</li>
                        <li>Node and NPM</li>
                        <li>NoSQL style databases</li>
                        <li>Material UI design components</li>
                    </ul>
                </div>
                <div class="col-lg-3 col-md-6 mt-2 mx-auto">
                    <h5 class="card-title mb-2 text-primary">Tools</h5>
                    <ul>
                        <li>Git source control i.e. Bitbucket</li>
                        <li>Continuous Integration pipelines</li>
                        <li>Text editors i.e. Sublime Text</li>
                    </ul>
                </div>
                <div class="col-lg-3">
                    <!--empty-->
                </div>
            </div>
        </section>
        <div>
            <div style="border-top: 5px solid #314057; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #771213; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #3c4c69; float: left" class="col-lg-4 col-md-4 col-4"></div>
        </div>
        <section id="packages">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 text-center">
                        <i class="fas fa-4x fa-box-open text-light mb-3 sr-icon-1"></i>
                        <h2 id="packagesHeading" class="section-heading text-light" aria-labelledby="packages">Packages</h2>
                        <p class="mb-5 text-faded">Packages currently available to build with. Having app functionality
                            broken
                            down into separate packages make creating applications easy!</p>
                        <!--<div class="col-lg-12 col-md-12 text-center">
                            <section class="p-0" id="portfolio">
                                <div id="packagesContainer" class="container-fluid p-0" aria-labelledby="packages">
                                    <div class="row no-gutters popup-gallery">
                                        <a class="portfolio-box" href="img/portfolio/fullsize/overviewDiagram.png" 
                                            alt="block diagram showing how the DHA SDK modules cooperate">
                                            <img class="img-fluid"
                                                src="img/portfolio/thumbnails/overviewDiagramThumbnail.png"
                                                alt="">
                                            <div class="portfolio-box-caption">
                                                <div class="portfolio-box-caption-content">
                                                    <div class="project-category text-faded">
                                                        DHA-SDK
                                                    </div>
                                                    <div class="project-name">
                                                        Design Diagram -- Click to enlarge
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <p style="float: left; margin-left: 20%" id="designDocumentCaption"
                                        class="text-faded">
                                        DHA SDK Design Diagram</p>
                                </div>
                            </section>
                        </div>-->
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 mx-auto">
                        <a id="dha-sms-notifications" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3 h-100">
                                <div style="justify-content: space-between" class="card-body d-flex flex-column">
                                    <div class="d-flex flex-column">
                                        <div>
                                            <img class="mb-3 float-left" style=" margin: 0 auto"
                                                src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                        </div>
                                        <h5 class="card-title mb-3">SMS Notifications</h5>
                                        <p class="card-text text-muted">SMS notifications package for iOS devices using Azure Functions and Twilio.
                                        </p>
                                    </div>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 h-100 mx-auto">
                        <a id="appleAuth" target="_blank" aria-labelledby="packages">
                            <div class="card h-100">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto" src="img/tsLogo.png" alt="TypeScript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Apple Auth</h5>
                                    <p class="text-muted">
                                        Face and Touch ID plugin for the web
                                        <br><br>
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto ">
                        <a id="oidc-client" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">OpenID Client</h5>
                                    <p class="card-text text-muted">Library to provide OpenID Connect and OAuth2 for client-side applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 mx-auto">
                        <a id="dha-rating" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3 h-100">
                                <div style="justify-content: space-between" class="card-body d-flex flex-column">
                                    <div class="d-flex flex-column">
                                        <div>
                                            <img class="mb-3 float-left" style=" margin: 0 auto"
                                                src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                        </div>
                                        <h5 class="card-title mb-3">Rating</h5>
                                        <p class="card-text text-muted">Submit an app review and rating to CosmosDB using Azure Functions.
                                        </p>
                                    </div>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto ">
                        <a id="pouchcrypto" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Pouch Crypto</h5>
                                    <p class="card-text text-muted">Encryption plugin for applications, works with PouchDB functions.</p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 mx-auto">
                        <a id="encryption" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3 h-100">
                                <div style="justify-content: space-between" class="card-body d-flex flex-column">
                                    <div class="d-flex flex-column">
                                        <div>
                                            <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                        </div>
                                        <h5 class="card-title mb-3">Encryption</h5>
                                        <p class="card-text text-muted">This module provides encryption to the database
                                            module.
                                        </p>
                                    </div>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto ">
                        <a id="themes" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Themes</h5>
                                    <p class="card-text text-muted">This module lets developers add DHA style themes
                                        into
                                        their applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 mx-auto">
                        <a id="typescriptAssets" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3 h-100">
                                <div style="justify-content: space-between" class="card-body d-flex flex-column">
                                    <div class="d-flex flex-column">
                                        <div>
                                            <img class="mb-3 float-left" style=" margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                        </div>
                                        <h5 class="card-title mb-3">Assets</h5>
                                        <p class="card-text text-muted">This module is used for assets related React
                                            components.
                                        </p>
                                    </div>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto">
                        <a id="breathingExercise" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto"
                                            src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Breathing Exercise</h5>
                                    <p class="card-text text-muted">A React Breathing Exercise component for use in your
                                        applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto">
                        <a id="graph" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto"
                                            src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Graph</h5>
                                    <p class="card-text text-muted">This module is a React Graph component for use in
                                        your
                                        applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto">
                        <a id="slider" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto"
                                            src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Slider</h5>
                                    <p class="card-text text-muted">This module is a React Slider component to be used
                                        in
                                        your
                                        applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto">
                        <a id="login" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto"
                                            src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Login</h5>
                                    <p class="card-text text-muted">A module for implementing different login
                                        capabilities
                                        to
                                        node.js applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 mx-auto">
                        <a id="reactAssets" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3 h-100">
                                <div style="justify-content: space-between" class="card-body d-flex flex-column">
                                    <div class="d-flex flex-column">
                                        <div>
                                            <img class="mb-3 float-left" style=" margin: 0 auto"
                                                src="img/reactNoTextLogo.png" alt="JavaScript React Logo">
                                        </div>
                                        <h5 class="card-title mb-3">Assets</h5>
                                        <p class="card-text text-muted">This module is used for assets related React
                                            components.
                                        </p>
                                    </div>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto ">
                        <a id="database" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Database</h5>
                                    <p class="card-text text-muted">This module provides a document style NoSQL JSON
                                        Interface.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mx-auto ">
                        <a id="security" target="_blank" aria-labelledby="packages">
                            <div class="card mb-3">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style="margin: 0 auto" src="img/tsLogo.png" alt="Typescript Logo">
                                    </div>
                                    <h5 class="card-title mb-3">Security</h5>
                                    <p class="card-text text-muted">This module provides added security functions to web
                                        applications.
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 h-100 mx-auto">
                        <a id="gspan" target="_blank" href="https://bitbucket.org/wmtp/gspan/src/master/" aria-labelledby="packages">
                            <div class="card h-100">
                                <div class="card-body d-flex flex-column">
                                    <div>
                                        <img class="mb-3 float-left" style=" margin: 0 auto"
                                            src="img/androidIconSm.png" alt="Android Logo">
                                    </div>
                                    <h5 class="card-title mb-3">G-SPAN</h5>
                                    <p class="text-muted">
                                        Interface to biometric sensors <br>
                                        (Native Android Only)
                                    </p>
                                    <div class="card-link">
                                        VIEW DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="row">
                <div class="col-lg-3 col-md-6 col-12 mt-1 mb-3 h-100 mx-auto">
                    <a id="analytics" target="_blank" aria-labelledby="packages">
                        <div class="card h-100">
                            <div class="card-body d-flex flex-column">
                                <div>
                                    <img class="mb-3 float-left" style=" margin: 0 auto" src="img/tsLogo.png" alt="TypeScript Logo">
                                </div>
                                <h5 class="card-title mb-3">Analytics</h5>
                                <p class="text-muted">
                                    A module for implementing Google Measurement Protocol into PWA apps.
                                <div class="card-link">
                                    VIEW DOCS
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                </div> <!--row-->
            </div>
        </section>
        <section id="applications">
            <div>
                <div style="border-top: 5px solid #314057; float: left" class="col-lg-4 col-md-4 col-4"></div>
                <div style="border-top: 5px solid #771213; float: left" class="col-lg-4 col-md-4 col-4"></div>
                <div style="border-top: 5px solid #3c4c69; float: left" class="col-lg-4 col-md-4 col-4"></div>
            </div>
            <div id="sampleApplications" class="row p-5">
                <div class="col-lg-12 text-center">
                    <i class="fas fa-4x fa-mobile-alt text-primary mb-3 sr-icon-1"></i>
                    <h2 id="applicationsHeading" class="section-heading">Sample Applications</h2>
                    <p class="mb-5">Applications built using the DHA SDK.</p>
                </div>
                <div class="row">
                    <div class="col-lg-3 col-md-6 mt-3 mx-auto">
                        <div aria-labelledby="sampleApplications">
                            <div class="card">
                                <div class="card-body d-flex flex-column">
                                    <h5 class="card-title mb-3">PWA Starter Application</h5>
                                    <p class="card-text text-muted">This is a generic PWA which conforms to the
                                        DHA standards. This is the starting point to build custom apps. The project is
                                        set up with Redux, React Router, Material UI, and Typescript.</p>
                                    <div class="card-link">
                                        <a id="pwaStarter" target="_blank">VIEW APPLICATION<br /></a>
                                        <a id="pwaStarterSourceCode" target="_blank">VIEW SOURCE CODE</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 mt-3 mx-auto">
                        <a id="mtfTemplate" target="_blank" aria-labelledby="sampleApplications">
                            <div class="card">
                                <div class="card-body d-flex flex-column">
                                    <h5 class="card-title mb-3">DHA MTF Template</h5>
                                    <p class="card-text text-muted">This is a complete generic PWA which conforms to the
                                        DHA standards for building DHA MTF Applications. It is
                                        based on the PWA Starter App set up with all same components.
                                    </p>
                                    <div class="card-link">
                                        VIEW APPLICATION
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 mt-3 mx-auto">
                        <a id="moodTrackerPWA" target="_blank" aria-labelledby="sampleApplications">
                            <div class="card">
                                <div class="card-body d-flex flex-column">
                                    <h5 class="card-title mb-3">Mood Tracker PWA</h5>
                                    <p class="card-text text-muted">This is a simple app designed to showcase the use of
                                        some of
                                        the DHA SDK npm modules. It is an app that records daily mood (Depression and
                                        Anxiety
                                        only) and graphs each on a graph.</p>
                                    <div class="card-link">
                                        VIEW APPLICATION
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 mt-3 mx-auto">
                        <a id="breathToRelaxPWA" target="_blank" aria-labelledby="sampleApplications">
                            <div class="card">
                                <div class="card-body d-flex flex-column">
                                    <h5 class="card-title mb-3">Breath 2 Relax PWA</h5>
                                    <p class="card-text text-muted">This is an app designed to showcase the use of
                                        some of
                                        the modules. It is an app that provides a breathing exercise. It uses
                                        the
                                        Slider, Graph, Breathing Exercise, and Blockstack.
                                    </p>
                                    <div class="card-link">
                                        VIEW APPLICATION
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </section>
        <div>
            <div style="border-top: 5px solid #314057; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #771213; float: left" class="col-lg-4 col-md-4 col-4"></div>
            <div style="border-top: 5px solid #3c4c69; float: left" class="col-lg-4 col-md-4 col-4"></div>
        </div>

        <!--CI/CD section temporarily removed until Pipeline build processes are more robust and worth documenting and updating CI section of SDK site-->
        <!-- 
        <section id="continousIntegration">
            <div class="container" id="continousIntegrationContainer">
                <div class="col-lg-12 text-center">
                    <i class="fas fa-4x fa-code-branch text-primary mb-3 sr-icon-1"></i>
                </div>
                <div class="col-lg-12">
                    <h2 class="section-heading text-center">Continuous Integration</h2>
                    <p>Continuous Integration (CI) is the practice of merging all developer working copies into a shared
                        mainline several times a day. By integrating regularly you can detect errors quickly, and find
                        them
                        more
                        easily.</p>
                </div>
                <div class="row text-center">

                    <div class="col-lg-2">

                    </div>

                    <div class="col-lg-4 col-md-6 col-12">
                        <img src="img/ci.png" alt="">
                    </div>
                    <div class="col-lg-4 col-md-6 col-12 ">
                        <a href="https://bitbucket.org/product/features/pipelines/" target="_blank">
                            <div class="card">
                                <div class="card-body d-flex flex-column">
                                    <h5 class="card-title mb-3">CI Pipelines</h5>
                                    <p class="card-text text-muted">The DHA SDK utilizes Bitbucket Pipelines to build,
                                        test,
                                        and
                                        deploy all packages and applications.</p>
                                    <div class="card-link">
                                        VIEW BITBUCKET DOCS
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-2">

                    </div>
                </div>
            </div>
        </section>
        -->

        <section id="resources">
            <div class="container">
                <div class="row" aria-labelledby="resources">
                    <div class="col-lg-8 mx-auto text-center">
                        <i class="far fa-4x fa-clipboard text-primary mb-3 sr-icon-1"></i>
                        <h2 class="section-heading">Resources</h2>
                        <p class="mb-5 font-weight-bold">Node.js version 12LTS is required.</p>
                        <p class="mb-5">Check out these resources for more information.</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <!--empty-->
                    </div>
                    <div class="col-lg-3 col-md-6 col-6">
                        <a href="https://bitbucket.org/account/user/wmtp/projects/DHASDK" target="_blank">
                            <div class="card" aria-labelledby="resources">
                                <div class="card-body d-flex flex-column">
                                    <i class="fab fa-bitbucket fa-3x mb-3 sr-other-2"></i>
                                    <p class="card-text text-muted">Code available on Bitbucket.</p>
                                    <div class="card-link">
                                        VIEW SOURCE CODE
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-6">
                        <a href="https://www.npmjs.com/~dha-sdk" target="_blank">
                            <div class="card" aria-labelledby="resources">
                                <div class="card-body d-flex flex-column">
                                    <i class="fab fa-npm fa-3x mb-3 sr-other-2"></i>
                                    <p class="card-text text-muted">Node modules<br />Available on NPM</p>
                                    <div class="card-link">
                                        VIEW NPM PACKAGES
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-lg-3">
                        <!--empty-->
                    </div>
                </div>
            </div>
        </section>
        <section id="tutorial" class="text-white">
            <div class="container text-center">
                <h2 class="mb-4">Start building with the DHA SDK today!</h2>
                <a id="tutorialPage" class="btn btn-primary btn-lg sr-button" target="_blank" aria-labelledby="tutorial">
                    View the tutorial
                </a>
                <p class="text-center mt-3">DHA SDK v1.3.2</p>
            </div>
            <div class="row text-center">
                <div class="col-lg-4 col-md-4 col-sm-4 pb-5 d-none d-sm-block" aria-labelledby="tutorial">
                    <a
                        class="float-right"
                        target="_blank"
                        href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency">
                        <img src="img/dhalogosm.png" alt="Defense Health Agency Logo">
                    </a>
                </div>
                <div class="col-4 pb-3 d-block d-sm-none" aria-labelledby="tutorial">
                    <a
                        class="float-right"
                        target="_blank"
                        href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency">
                        <img src="img/dhalogoxs.png" alt="Defense Health Agency Logo">
                    </a>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 pb-5 d-none d-sm-block" aria-labelledby="tutorial">
                    <a
                        target="_blank"
                        href="https://www.health.mil/">
                        <img src="img/mhsLogo.png" alt="Military Health System Logo">
                    </a>
                </div>
                <div class="col-4 pb-3 d-block d-sm-none" aria-labelledby="tutorial">
                    <a
                        target="_blank"
                        href="https://www.health.mil/">
                        <img src="img/mhsLogoxs.png" alt="Military Health System Logo">
                    </a>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 pb-5 d-none d-sm-block" aria-labelledby="tutorial">
                    <a
                        class="float-left"
                        target="_blank"
                        href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency/Information-Operations-J6-Health-IT/Solution-Delivery-Division">
                        <img src="img/sddlogo.png" alt="Solution Delivery Division Logo">
                    </a>
                </div>
                <div class="col-4 pb-3 d-block d-sm-none" aria-labelledby="tutorial">
                    <a
                        class="float-left"
                        target="_blank"
                        href="https://www.health.mil/About-MHS/OASDHA/Defense-Health-Agency/Information-Operations-J6-Health-IT/Solution-Delivery-Division">
                        <img src="img/sddlogoxs.png" alt="Solution Delivery Division Logo">
                    </a>
                </div>
            </div>
            <div class="container text-center">
                <div id="revHist">
                    <a id="revHist" class="btn btn-primary btn-sm sr-button" aria-labelledby="revision">
                        Revision History
                    </a>
                </div>
            </div>
            <div id="revHistToggle" class="row" style="display:none;">
                <div class="container">
                    <div class="col-lg-12 pl-5 pr-5">
                        <br><br><hr style="max-width:100%">
                        <h2 class="section-heading text-primary">Revision History</h2>
                        <p class="lead">Version 1.3.1 - 24 March, 2020.</p>
                    
                        <h5 class="card-title mb-2 text-primary">Changelog:</h5>
                        <ul>
                            <li>All npm packages and dependencies updated to latest versions</li>
                            <li>Fixed all broken links</li>
                            <li>Updated all references to Azure website</li>
                            <li>Modified home page to address branding and redundancy</li>
                            <li>Updated tutorial</li>
                            <li>Added page redirects from outdated pages to current Azure website</li>
                        </ul>
                        <p class="lead">Version 1.3.2 - 16 June, 2020.</p>
                    
                        <h5 class="card-title mb-2 text-primary">Changelog:</h5>
                        <ul>
                            <li>Added 508 Compliance tags</li>
                            <li>Removed SDD Development Diagram</li>
                            <li>Updated logo links</li>
                            <li>Added cards for Dha-Rating and Dha-oidc modules</li>
                            <li>Updated WMT Applications page</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div id="lastUpdated">
                <p class="text-center mt-3 small">Last Updated: <span id="updatedDate"></span></p>
            </div>
            
        </section>

        <!-- Bootstrap core JavaScript -->
        <script src="vendor/jquery/jquery.min.js"></script>
        <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

        <!-- Plugin JavaScript -->
        <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
        <script src="vendor/scrollreveal/scrollreveal.min.js"></script>
        <script src="vendor/magnific-popup/jquery.magnific-popup.min.js"></script>

        <!-- Custom scripts for this template -->
        <script src="js/creative.min.js"></script>
        <script>
           
        </script>
    </div>
</body>

</html>
